Package org.codehaus.groovy.antlr

# Class LineColumn

java.lang.Object
org.codehaus.groovy.antlr.LineColumn

public class LineColumn extends Object
An object representing a line and column position

Author:
  Jeremy Rayner

## Constructor Summary

Constructors
Constructor
Description
`LineColumn(int line, int column)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object that)`
`int`
`getColumn()`
`int`
`getLine()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LineColumn

public LineColumn(int line, int column)

## Method Details

### getLine

public int getLine()

### getColumn

public int getColumn()

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`